Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui
Class ControlPropertiesBean

    java.lang.Object
      org.jboss.portal.core.admin.ui.PropertyBeanContainer
          org.jboss.portal.core.admin.ui.ControlPropertiesBean

    public class ControlPropertiesBean

extends PropertyBeanContainer

Version:
  $Revision: 11001 $
Author:
  Boleslaw Dawidowicz

Constructor Summary
`ControlPropertiesBean(PortalObjectManagerBean pomgr)`

Method Summary
`ControlPropertyBean` | `getPageControlAccessDenied()`
`ControlPropertyBean` | `getPageControlError()`
`ControlPropertyBean` | `getPageControlInternalError()`
`ControlPropertyBean` | `getPageControlNotFound()`
`ControlPropertyBean` | `getPageControlResourceURI()`
`ControlPropertyBean` | `getPageControlUnavailable()`
`java.util.List<javax.faces.model.SelectItem>` | `getPageSelectItems()`
`ControlPropertyBean` | `getPortalControlAccessDenied()`
`ControlPropertyBean` | `getPortalControlError()`
`ControlPropertyBean` | `getPortalControlInternalError()`
`ControlPropertyBean` | `getPortalControlNotFound()`
`ControlPropertyBean` | `getPortalControlResourceURI()`
`ControlPropertyBean` | `getPortalControlUnavailable()`
`java.util.List<javax.faces.model.SelectItem>` | `getPortalSelectItems()`
`PortalObject` | `getRelatedObject()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlPropertiesBean

    public ControlPropertiesBean(PortalObjectManagerBean pomgr)

Method Detail

### getPortalSelectItems

    public java.util.List<javax.faces.model.SelectItem> getPortalSelectItems()

### getPageSelectItems

    public java.util.List<javax.faces.model.SelectItem> getPageSelectItems()

### getPageControlAccessDenied

    public ControlPropertyBean getPageControlAccessDenied()

### getPageControlUnavailable

    public ControlPropertyBean getPageControlUnavailable()

### getPageControlError

    public ControlPropertyBean getPageControlError()

### getPageControlInternalError

    public ControlPropertyBean getPageControlInternalError()

### getPageControlNotFound

    public ControlPropertyBean getPageControlNotFound()

### getPageControlResourceURI

    public ControlPropertyBean getPageControlResourceURI()

### getPortalControlAccessDenied

    public ControlPropertyBean getPortalControlAccessDenied()

### getPortalControlUnavailable

    public ControlPropertyBean getPortalControlUnavailable()

### getPortalControlError

    public ControlPropertyBean getPortalControlError()

### getPortalControlInternalError

    public ControlPropertyBean getPortalControlInternalError()

### getPortalControlNotFound

    public ControlPropertyBean getPortalControlNotFound()

### getPortalControlResourceURI

    public ControlPropertyBean getPortalControlResourceURI()

### getRelatedObject

    public PortalObject getRelatedObject()

  Specified by:
    `getRelatedObject` in class `PropertyBeanContainer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD